package inn.ocsf.bee.freigeld.core.model.data;

import org.bson.types.ObjectId;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Version;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;
import java.util.UUID;

@Document("coin-to-account")
public class CoinAccountLink {

    @Id
    private ObjectId id;

    private UUID coinId;

    private UUID accountId;

    @Version
    private Long version;

    private Date ts;

    public CoinAccountLink() {
    }

    public ObjectId getId() {
        return id;
    }

    public void setId(ObjectId id) {
        this.id = id;
    }

    public UUID getCoinId() {
        return coinId;
    }

    public void setCoinId(UUID coinId) {
        this.coinId = coinId;
    }

    public UUID getAccountId() {
        return accountId;
    }

    public void setAccountId(UUID accountId) {
        this.accountId = accountId;
    }

    public Date getTs() {
        return ts;
    }

    public void setTs(Date ts) {
        this.ts = ts;
    }
}
